<mat-card>
  <mat-card-title>Login or create an account</mat-card-title>
  <mat-card-content>
    <form [formGroup]="form" (ngSubmit)="submit()">
      <p>
        <mat-input-container>
          <input type="email" matInput placeholder="Email" formControlName="email" required email>
        </mat-input-container>
      </p>

      <p>
        <mat-form-field>
          <input matInput placeholder="Password" [type]="hide ? 'password' : 'text'" formControlName="password" required>
          <mat-icon matSuffix (click)="hide = !hide">{{hide ? 'visibility' : 'visibility_off'}}</mat-icon>
        </mat-form-field>
      </p>

      <p *ngIf="errorMessage" class="loginError">
        {{ errorMessage }}
      </p>

      <p class="loginButtons">
        <button type="submit" mat-raised-button (click)="setAction(authActionEnum.Login)" color="primary"><mat-icon>email</mat-icon> Login with email</button>
        <button type="submit" mat-raised-button (click)="setAction(authActionEnum.Register)" color="warn">Create an account</button>
        <button type="button" mat-raised-button (click)="signInWith.emit(authProvider.Google)"><mat-icon class="fab fa-google"></mat-icon> Login with Google</button>
        <button type="button" mat-raised-button (click)="signInWith.emit(authProvider.Twitter)"><mat-icon class="fab fa-twitter"></mat-icon> Login with Twitter</button>
        <button type="button" mat-raised-button (click)="signInWith.emit(authProvider.Facebook)"><mat-icon class="fab fa-facebook"></mat-icon> Login with Facebook</button>
      </p>

    </form>
  </mat-card-content>
</mat-card>
